## r-cran-uwot 0.1.5

=== DESCRIPTION ===
Package: uwot
Title: The Uniform Manifold Approximation and Projection (UMAP) Method
        for Dimensionality Reduction
Version: 0.1.5
Authors@R: 
    c(person("James", "Melville", email = "jlmelville@gmail.com", role = c("aut", "cre")),
    person("Aaron", "Lun", role="ctb"),person("Mohamed Nadhir", "Djekidel", role="ctb"))
Description: An implementation of the Uniform Manifold Approximation and 
    Projection dimensionality reduction by McInnes et al. (2018) 
    <arXiv:1802.03426>. It also provides means to transform new data and to 
    carry out supervised dimensionality reduction. An implementation of the 
    related LargeVis method of Tang et al. (2016) <arXiv:1602.00370> is also 
    provided. This is a complete re-implementation in R (and C++, via the 'Rcpp'
    package): no Python installation is required. See the uwot website 
    (<https://github.com/jlmelville/uwot>) for more documentation and examples.
License: GPL-3
URL: https://github.com/jlmelville/uwot
BugReports: https://github.com/jlmelville/uwot/issues
Encoding: UTF-8
LazyData: true
Suggests: testthat, covr
RoxygenNote: 7.0.2
Depends: Matrix
LinkingTo: Rcpp, RcppProgress, RcppParallel, RcppAnnoy, dqrng
Imports: Rcpp, methods, FNN, RSpectra, RcppAnnoy (>= 0.0.11),
        RcppParallel, irlba
SystemRequirements: GNU make
NeedsCompilation: yes
Packaged: 2019-12-04 08:05:20 UTC; jlmel
Author: James Melville [aut, cre],
  Aaron Lun [ctb],
  Mohamed Nadhir Djekidel [ctb]
Maintainer: James Melville <jlmelville@gmail.com>
Repository: CRAN
Date/Publication: 2019-12-04 16:20:02 UTC

=== debian/changelog ===
r-cran-uwot (0.1.5-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:01:18 +0100

r-cran-uwot (0.1.5-2) unstable; urgency=medium

  * Merged own packaging with the one by Andreas.
  * TODO: Added dependency on libtbb-dev, does not FTBFS without it
    but states not to find it - which it still does when added,
    which remains to be investigated.

 -- Steffen Moeller <moeller@debian.org>  Tue, 31 Dec 2019 03:00:05 +0100

r-cran-uwot (0.1.5-1) unstable; urgency=medium

  * New upstream version of what I now know not to have
    been a new package (closes: #947796)
  * Added dependency on libpcg-cpp-dev for pcg_random.hpp, FTBFS without

 -- Steffen Moeller <moeller@debian.org>  Mon, 30 Dec 2019 22:46:18 +0100

r-cran-uwot (0.1.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Nov 2019 21:19:40 +0100

r-cran-uwot (0.1.3-1) unstable; urgency=medium

  * Initial release (closes: #940083)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Sep 2019 09:24:43 +0200

=== debian/control ===
Source: r-cran-uwot
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>, Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-cran-rcpp,
               r-cran-fnn,
               r-cran-rspectra,
               r-cran-rcppannoy,
               r-cran-rcppparallel,
               r-cran-irlba,
               r-cran-rcppprogress,
               r-cran-dqrng,
               libpcg-cpp-dev,
               libtbb-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uwot
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uwot.git
Homepage: https://cran.r-project.org/package=uwot

Package: r-cran-uwot
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R uniform manifold approximation and projection (UMAP)
 An implementation of the Uniform Manifold Approximation and
 Projection dimensionality reduction by McInnes et al. (2018)
 <arXiv:1802.03426>. It also provides means to transform new data and to
 carry out supervised dimensionality reduction. An implementation of the
 related LargeVis method of Tang et al. (2016) <arXiv:1602.00370> is also
 provided.
 .
 This is a complete re-implementation in R (and C++, via the 'Rcpp'
 package): no Python installation is required. See the uwot website
 (<https://github.com/jlmelville/uwot>) for more documentation and examples.

## r-cran-uwot 0.1.8

=== debian/changelog ===
r-cran-uwot (0.1.8-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 21:46:24 +0000

r-cran-uwot (0.1.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 22 Mar 2020 09:37:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: r-cran-uwot
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>, Steffen Moeller <moeller@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Steffen Moeller <moeller@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
@@ -12,16 +13,16 @@
                r-cran-fnn,
                r-cran-rspectra,
                r-cran-rcppannoy,
-               r-cran-rcppparallel,
                r-cran-irlba,
                r-cran-rcppprogress,
                r-cran-dqrng,
                libpcg-cpp-dev,
                libtbb-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uwot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uwot.git
 Homepage: https://cran.r-project.org/package=uwot
+Rules-Requires-Root: no
 
 Package: r-cran-uwot
 Architecture: any

## r-cran-uwot 0.1.10

=== DESCRIPTION ===
Package: uwot
Title: The Uniform Manifold Approximation and Projection (UMAP) Method
        for Dimensionality Reduction
Version: 0.1.10
Authors@R: 
    c(person("James", "Melville", email = "jlmelville@gmail.com", role = c("aut", "cre")),
    person("Aaron", "Lun", role="ctb"),person("Mohamed Nadhir", "Djekidel", role="ctb"),
    person("Yuhan", "Hao", role="ctb"))
Description: An implementation of the Uniform Manifold Approximation and 
    Projection dimensionality reduction by McInnes et al. (2018) 
    <arXiv:1802.03426>. It also provides means to transform new data and to 
    carry out supervised dimensionality reduction. An implementation of the 
    related LargeVis method of Tang et al. (2016) <arXiv:1602.00370> is also 
    provided. This is a complete re-implementation in R (and C++, via the 'Rcpp'
    package): no Python installation is required. See the uwot website 
    (<https://github.com/jlmelville/uwot>) for more documentation and examples.
License: GPL (>= 3)
URL: https://github.com/jlmelville/uwot
BugReports: https://github.com/jlmelville/uwot/issues
Encoding: UTF-8
LazyData: true
Suggests: testthat, covr
RoxygenNote: 7.1.1
Depends: Matrix
LinkingTo: Rcpp, RcppProgress, RcppAnnoy, dqrng
Imports: Rcpp, methods, FNN, RSpectra, RcppAnnoy (>= 0.0.17), irlba
NeedsCompilation: yes
Packaged: 2020-12-14 02:17:07 UTC; jlmel
Author: James Melville [aut, cre],
  Aaron Lun [ctb],
  Mohamed Nadhir Djekidel [ctb],
  Yuhan Hao [ctb]
Maintainer: James Melville <jlmelville@gmail.com>
Repository: CRAN
Date/Publication: 2020-12-15 13:40:02 UTC

=== debian/changelog ===
r-cran-uwot (0.1.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 19 Dec 2020 16:30:43 +0530

r-cran-uwot (0.1.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 23 Nov 2020 20:54:10 +0530

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrix,
                r-cran-rcpp,
                r-cran-fnn,
                r-cran-rspectra,
-               r-cran-rcppannoy,
+               r-cran-rcppannoy (>= 0.0.17),
                r-cran-irlba,
                r-cran-rcppprogress,
                r-cran-dqrng,
                libpcg-cpp-dev,
                libtbb-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uwot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uwot.git
 Homepage: https://cran.r-project.org/package=uwot

## r-cran-uwot 0.1.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: uwot
 Title: The Uniform Manifold Approximation and Projection (UMAP) Method
         for Dimensionality Reduction
-Version: 0.1.10
+Version: 0.1.11
 Authors@R: 
     c(person("James", "Melville", email = "jlmelville@gmail.com", role = c("aut", "cre")),
     person("Aaron", "Lun", role="ctb"),person("Mohamed Nadhir", "Djekidel", role="ctb"),
@@ -18,18 +18,17 @@
 URL: https://github.com/jlmelville/uwot
 BugReports: https://github.com/jlmelville/uwot/issues
 Encoding: UTF-8
-LazyData: true
-Suggests: testthat, covr
-RoxygenNote: 7.1.1
+Suggests: testthat, covr, bigstatsr
+RoxygenNote: 7.1.2
 Depends: Matrix
 LinkingTo: Rcpp, RcppProgress, RcppAnnoy, dqrng
 Imports: Rcpp, methods, FNN, RSpectra, RcppAnnoy (>= 0.0.17), irlba
 NeedsCompilation: yes
-Packaged: 2020-12-14 02:17:07 UTC; jlmel
+Packaged: 2021-12-02 07:30:35 UTC; jlmel
 Author: James Melville [aut, cre],
   Aaron Lun [ctb],
   Mohamed Nadhir Djekidel [ctb],
   Yuhan Hao [ctb]
 Maintainer: James Melville <jlmelville@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-12-15 13:40:02 UTC
+Date/Publication: 2021-12-02 08:00:02 UTC

=== debian/changelog ===
r-cran-uwot (0.1.11-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-rcppannoy.

 -- Andreas Tille <tille@debian.org>  Fri, 10 Dec 2021 11:39:56 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                r-cran-rcpp,
                r-cran-fnn,
                r-cran-rspectra,
-               r-cran-rcppannoy (>= 0.0.17),
+               r-cran-rcppannoy,
                r-cran-irlba,
                r-cran-rcppprogress,
                r-cran-dqrng,
                libpcg-cpp-dev,
                libtbb-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uwot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uwot.git
 Homepage: https://cran.r-project.org/package=uwot

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/uwot_([-\d.]*)\.tar\.gz

## r-cran-uwot 0.1.14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: uwot
 Title: The Uniform Manifold Approximation and Projection (UMAP) Method
         for Dimensionality Reduction
-Version: 0.1.11
+Version: 0.1.14
 Authors@R: 
     c(person("James", "Melville", email = "jlmelville@gmail.com", role = c("aut", "cre")),
     person("Aaron", "Lun", role="ctb"),person("Mohamed Nadhir", "Djekidel", role="ctb"),
@@ -18,17 +18,17 @@
 URL: https://github.com/jlmelville/uwot
 BugReports: https://github.com/jlmelville/uwot/issues
 Encoding: UTF-8
-Suggests: testthat, covr, bigstatsr
-RoxygenNote: 7.1.2
+Suggests: testthat, covr, bigstatsr, RSpectra
+RoxygenNote: 7.2.1
 Depends: Matrix
 LinkingTo: Rcpp, RcppProgress, RcppAnnoy, dqrng
-Imports: Rcpp, methods, FNN, RSpectra, RcppAnnoy (>= 0.0.17), irlba
+Imports: Rcpp, methods, FNN, RcppAnnoy (>= 0.0.17), irlba
 NeedsCompilation: yes
-Packaged: 2021-12-02 07:30:35 UTC; jlmel
+Packaged: 2022-08-21 05:37:46 UTC; jlmel
 Author: James Melville [aut, cre],
   Aaron Lun [ctb],
   Mohamed Nadhir Djekidel [ctb],
   Yuhan Hao [ctb]
 Maintainer: James Melville <jlmelville@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-12-02 08:00:02 UTC
+Date/Publication: 2022-08-22 08:00:02 UTC

=== debian/changelog ===
r-cran-uwot (0.1.14-2) unstable; urgency=medium

  * Team Upload.
  * Skip a couple of tests that choke on !amd64

 -- Nilesh Patra <nilesh@debian.org>  Sat, 17 Sep 2022 23:45:59 +0530

r-cran-uwot (0.1.14-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 14:51:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: r-cran-uwot
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
            Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uwot
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uwot.git
+Homepage: https://cran.r-project.org/package=uwot
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrix,
                r-cran-rcpp,
                r-cran-fnn,
-               r-cran-rspectra,
-               r-cran-rcppannoy,
+               r-cran-rcppannoy (>= 0.0.17),
                r-cran-irlba,
                r-cran-rcppprogress,
                r-cran-dqrng,
                libpcg-cpp-dev,
                libtbb-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uwot
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uwot.git
-Homepage: https://cran.r-project.org/package=uwot
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-uwot
 Architecture: any

## r-cran-uwot 0.1.16

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: uwot
 Title: The Uniform Manifold Approximation and Projection (UMAP) Method
         for Dimensionality Reduction
-Version: 0.1.14
+Version: 0.1.16
 Authors@R: 
     c(person("James", "Melville", email = "jlmelville@gmail.com", role = c("aut", "cre")),
     person("Aaron", "Lun", role="ctb"),person("Mohamed Nadhir", "Djekidel", role="ctb"),
-    person("Yuhan", "Hao", role="ctb"))
+    person("Yuhan", "Hao", role="ctb"),person("Dirk", "Eddelbuettel", role="ctb"))
 Description: An implementation of the Uniform Manifold Approximation and 
     Projection dimensionality reduction by McInnes et al. (2018) 
     <arXiv:1802.03426>. It also provides means to transform new data and to 
@@ -19,16 +19,17 @@
 BugReports: https://github.com/jlmelville/uwot/issues
 Encoding: UTF-8
 Suggests: testthat, covr, bigstatsr, RSpectra
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Depends: Matrix
 LinkingTo: Rcpp, RcppProgress, RcppAnnoy, dqrng
 Imports: Rcpp, methods, FNN, RcppAnnoy (>= 0.0.17), irlba
 NeedsCompilation: yes
-Packaged: 2022-08-21 05:37:46 UTC; jlmel
+Packaged: 2023-06-27 17:00:56 UTC; jlmel
 Author: James Melville [aut, cre],
   Aaron Lun [ctb],
   Mohamed Nadhir Djekidel [ctb],
-  Yuhan Hao [ctb]
+  Yuhan Hao [ctb],
+  Dirk Eddelbuettel [ctb]
 Maintainer: James Melville <jlmelville@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-08-22 08:00:02 UTC
+Date/Publication: 2023-06-29 13:00:02 UTC

=== debian/changelog ===
r-cran-uwot (0.1.16-2) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039674 

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 10:08:42 +0200

r-cran-uwot (0.1.16-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jun 2023 22:03:46 +0200

r-cran-uwot (0.1.15-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Patch for test not needed any more

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 15:02:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: r-cran-uwot
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
            Steffen Moeller <moeller@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uwot
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uwot.git
-Homepage: https://cran.r-project.org/package=uwot
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrix,
                r-cran-rcpp,
                r-cran-fnn,
-               r-cran-rcppannoy (>= 0.0.17),
+               r-cran-rcppannoy,
                r-cran-irlba,
                r-cran-rcppprogress,
                r-cran-dqrng,
                libpcg-cpp-dev,
                libtbb-dev
-Testsuite: autopkgtest-pkg-r
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uwot
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uwot.git
+Homepage: https://cran.r-project.org/package=uwot
+Rules-Requires-Root: no
 
 Package: r-cran-uwot
 Architecture: any

## r-cran-uwot 0.2.2

=== debian/changelog ===
r-cran-uwot (0.2.2-2) unstable; urgency=medium

  * Team upload.
  * Autopkgtests: skip on i386.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 29 Jan 2025 14:45:29 +0100

r-cran-uwot (0.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Sep 2024 13:22:36 +0900

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,16 @@
                dh-r,
                r-base-dev,
                r-cran-matrix,
+               r-cran-fnn,
+               r-cran-irlba,
                r-cran-rcpp,
-               r-cran-fnn,
                r-cran-rcppannoy,
-               r-cran-irlba,
+               r-cran-rspectra,
+               r-cran-dqrng,
                r-cran-rcppprogress,
-               r-cran-dqrng,
                libpcg-cpp-dev,
                libtbb-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uwot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uwot.git
 Homepage: https://cran.r-project.org/package=uwot

## r-cran-uwot 0.2.3

=== DESCRIPTION ===
Package: uwot
Title: The Uniform Manifold Approximation and Projection (UMAP) Method
        for Dimensionality Reduction
Version: 0.2.3
Authors@R: c(
    person("James", "Melville", , "jlmelville@gmail.com", role = c("aut", "cre", "cph")),
    person("Aaron", "Lun", role = "ctb"),
    person("Mohamed Nadhir", "Djekidel", role = "ctb"),
    person("Yuhan", "Hao", role = "ctb"),
    person("Dirk", "Eddelbuettel", role = "ctb"),
    person("Wouter", "van der Bijl", role = "ctb")
  )
Description: An implementation of the Uniform Manifold Approximation and
    Projection dimensionality reduction by McInnes et al. (2018)
    <doi:10.48550/arXiv.1802.03426>. It also provides means to transform new data and
    to carry out supervised dimensionality reduction. An implementation of
    the related LargeVis method of Tang et al. (2016) <doi:10.48550/arXiv.1602.00370>
    is also provided. This is a complete re-implementation in R (and C++,
    via the 'Rcpp' package): no Python installation is required. See the
    uwot website (<https://github.com/jlmelville/uwot>) for more
    documentation and examples.
License: GPL (>= 3)
URL: https://github.com/jlmelville/uwot,
        https://jlmelville.github.io/uwot/
BugReports: https://github.com/jlmelville/uwot/issues
Depends: Matrix
Imports: FNN, irlba, methods, Rcpp, RcppAnnoy (>= 0.0.17), RSpectra
Suggests: bigstatsr, covr, knitr, RcppHNSW, rmarkdown, rnndescent,
        testthat
LinkingTo: dqrng, Rcpp, RcppAnnoy, RcppProgress
VignetteBuilder: knitr
Config/Needs/website: rmarkdown
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2025-02-24 05:51:09 UTC; jlmel
Author: James Melville [aut, cre, cph],
  Aaron Lun [ctb],
  Mohamed Nadhir Djekidel [ctb],
  Yuhan Hao [ctb],
  Dirk Eddelbuettel [ctb],
  Wouter van der Bijl [ctb]
Maintainer: James Melville <jlmelville@gmail.com>
Repository: CRAN
Date/Publication: 2025-02-24 06:30:02 UTC

=== debian/changelog ===
r-cran-uwot (0.2.3-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Removed skip for autodep8 test on i386 as it was malformed, but
    fortunately it was ignored and not needed.

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 28 Feb 2025 17:48:05 +0900

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                r-cran-rcppprogress,
                libpcg-cpp-dev,
                libtbb-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uwot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uwot.git
 Homepage: https://cran.r-project.org/package=uwot

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-knitr,
        r-cran-rcpphnsw,
        r-cran-rmarkdown,
        r-cran-testthat
Restrictions: allow-stderr
Architecture: !i386

## r-cran-uwot 0.2.4

=== debian/changelog ===
r-cran-uwot (0.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Feb 2026 12:02:43 +0900

=== debian/control ===
Source: r-cran-uwot
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Steffen Moeller <moeller@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-matrix,
 r-cran-fnn,
 r-cran-irlba,
 r-cran-rcpp,
 r-cran-rcppannoy,
 r-cran-rspectra,
 r-cran-dqrng,
 r-cran-rcppprogress,
 libpcg-cpp-dev,
 libtbb-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uwot
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uwot.git
Homepage: https://cran.r-project.org/package=uwot
Rules-Requires-Root: no

Package: r-cran-uwot
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R uniform manifold approximation and projection (UMAP)
 An implementation of the Uniform Manifold Approximation and
 Projection dimensionality reduction by McInnes et al. (2018)
 <arXiv:1802.03426>. It also provides means to transform new data and to
 carry out supervised dimensionality reduction. An implementation of the
 related LargeVis method of Tang et al. (2016) <arXiv:1602.00370> is also
 provided.
 .
 This is a complete re-implementation in R (and C++, via the 'Rcpp'
 package): no Python installation is required. See the uwot website
 (<https://github.com/jlmelville/uwot>) for more documentation and examples.

=== debian/tests/control ===
Tests: run-unit-test
Architecture: !i386
Restrictions: allow-stderr
Depends:
 @,
 r-cran-covr,
 r-cran-knitr,
 r-cran-rcpphnsw,
 r-cran-rmarkdown,
 r-cran-testthat,
